## clisp 2.49

=== doc/Makefile ===
# CLISP Implementation Notes generation
# (c) 2000-2009 Sam Steingold

# To generate HTML, you will need xsltproc & xmllint from the libxml2
# (http://xmlsoft.org/) package in addition to the DocBook DTDs and XSL
# stylesheets (http://www.docbook.org/)
# When writing docbook documentation, you need the "DocBook Definitive Guide"
# http://docbook.org/tdg/en/html/docbook-x.html

# which DTD to validate against
DTDVER=4.5

# all included XML files
IMPNOTES=cl-ent.xml clhs-ent.xml impbody.xml impent.xml mop.xml gray.xml     \
	impext.xml impissue.xml impbyte.xml unix-ent.xml mop-ent.xml faq.xml \
	history.xml \
	../modules/berkeley-db/berkeley-db.xml	\
	../modules/berkeley-db/ent-bdb.xml	\
	../modules/dbus/dbus.xml		\
	../modules/dirkey/dirkey.xml		\
	../modules/fastcgi/fastcgi.xml		\
	../modules/gdbm/gdbm.xml		\
	../modules/gtk2/gtk.xml			\
	../modules/i18n/i18n.xml		\
	../modules/libsvm/svm.xml		\
	../modules/matlab/matlab.xml		\
	../modules/netica/netica.xml		\
	../modules/oracle/oracle.xml		\
	../modules/pari/pari.xml		\
	../modules/pcre/pcre.xml		\
	../modules/postgresql/postgresql.xml	\
	../modules/rawsock/rawsock.xml		\
	../modules/readline/readline.xml	\
	../modules/regexp/regexp.xml		\
	../modules/syscalls/syscalls.xml	\
	../modules/wildcard/wildcard.xml	\
	../modules/zlib/zlib.xml
# all used stylesheets
CLISP_XSL = chunk.xsl common.xsl fo.xsl id-href-map.xsl man.xsl pile.xsl
CLISP_CSS = impnotes.css
# targets for <olink> resolution
OLINK = man.tdb clink.tdb pile.tdb chunk.tdb olink-pile.xml olink-chunk.xml

RM=/bin/rm -f
CURDIR=$(shell pwd)

# what to do when there is no local system-wide DTD & XSL?
DOWNLOAD=yes

ifneq (,$(filter Windows%,$(OS)))
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/docbook-xml$(DTDVER)/docbookx.dtd))
# Make sure to use a trailing slash.
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/docbook-xsl*/))
FOP=/cygdrive/c/java/fop-0.20.5/fop.bat
else
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/sgml/docbook/xml-dtd-$(DTDVER)*/docbookx.dtd \
	/usr/share/xml/docbook/schema/dtd/$(DTDVER)*/docbookx.dtd))
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/sgml/docbook/xsl-stylesheets-1*/ \
	/usr/share/xml/docbook/stylesheet/nwalsh*/))
FOP=../../../fop/fop
endif

IN_FILES = impnotes.xml clisp.xml clisp-link.xml
# common dependencies for all checkers
CHECK_DEPS = $(IN_FILES)
ifeq (,$(wildcard $(DTD_PATH))) # DTD does not exist
ifeq (yes,$(DOWNLOAD))		# download once
CHECK_DEPS += docbook-dtd
DTD_PATH=./docbook-dtd/docbookx.dtd
else # download on each check (you need network-aware tools to use it)
# this is the original DTD
DTD_PATH=http://www.oasis-open.org/docbook/xml/$(DTDVER)/docbookx.dtd
#DTD_PATH=http://www.docbook.org/xml/$(DTDVER)/docbookx.dtd
endif
endif

# common dependencies for all generators
GEN_DEPS = common.xsl
ifeq (,$(wildcard $(XSL_PATH))) # stylesheets do not exist
ifeq (yes,$(DOWNLOAD))	        # download once
GEN_DEPS += docbook-xsl
XSL_PATH=./docbook-xsl/
else # download on each build (you need network-aware tools to use it)
XSL_PATH=http://docbook.xml-doc.org/snapshots/xsl/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/snapshot/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/current/
endif
endif

# The xmlcatalog utility (from libxml2)
XMLCATALOG=xmlcatalog

# chose one:
#TEXI2HTML=texi2html -monolithic -verbose $< -out_file $@
TEXI2HTML=makeinfo --verbose --no-split --no-headers --html $< -o $@

# NB: keep in sync with src/makemake.in:MYIMPROOT
DIST_PODVAL = podval:~/public_html/clisp
DIST_SFBETA = sds,clisp@web.sf.net:/home/groups/c/cl/clisp/htdocs/beta
DIST = ${DIST_PODVAL}
RSYNC = rsync -avC --copy-unsafe-links
CHMOD = chmod -R a+rX

##### nothing user-serviceable below #####

# name of XML catalog file to create
# (if not specified, no local catalog created or used)
CATALOG_FILE=catalog.xml

# Stylesheets URI used internally in the CLISP project *.xsl files.
XSL_URI=http://docbook.sourceforge.net/release/xsl/current/

FILLIN=. ../version.sh && sed -e 's,@DTD@,$(DTD_PATH),' \
	    -e 's,@DTDVER@,$(DTDVER),' \
	    -e 's,@VERSION@,'$${VERSION_NUMBER}',' \
	    -e 's,@TODAY@,'`date +"%Y-%m-%d"`','

# cannot use profiling <http://www.sagehill.net/docbookxsl/Profiling.html>
# because that would require XSL tools to be installed on user machine
SGML_UNCOMMENT=-e 's/^<!--\#\(.*\)-->$$/\#\1/'

E=\ *<!--\(\#[^-]*\)--> *
ROFF_UNCOMMENT=-e 's/^$E$$/\1/' -e 's/$E$$/\n\1/' -e 's/^$E/\1\n/' -e 's/$E/\n\1\n/g'

.PHONY : all up count search clean

all: check impnotes.html regexp.html man

ifneq (,$(CATALOG_FILE))
# depends on Makefile because of $(XSL_PATH)
$(CATALOG_FILE): Makefile
	$(RM) $(CATALOG_FILE)
	$(XMLCATALOG) --create > $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteURI" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteSystem" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
XSLTPROC=XML_CATALOG_FILES="$(CATALOG_FILE) ${XML_CATALOG_FILES}" xsltproc
else
XSLTPROC=xsltproc
endif
XMLS_COMMON = --timing --xinclude
GOOGLEADS=0

MAKE_TDB=$(XSLTPROC) $(XMLS_COMMON) --stringparam collect.xref.targets "only" \
	--stringparam targets.filename

man.tdb: clisp.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

clink.tdb: clisp-link.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

pile.tdb: impnotes.xml $(IMPNOTES) pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

chunk.tdb: impnotes.xml $(IMPNOTES) chunk.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" chunk.xsl $<

clisp.xml: clisp.xml.in ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

clisp-link.xml: clisp-link.xml.in ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

XMLOUT=$(XSLTPROC) $(XMLS_COMMON) --param google.ads $(GOOGLEADS) \
	--stringparam target.database.document
DOC_MAN = --stringparam current.docid "man"
DOC_CLK = --stringparam current.docid "clink"
DOC_IMP = --stringparam current.docid "impnotes"

CHECK_IDS = if egrep -Hnr 'id="id[0-9]*"' $@; then exit 1; else true; fi

clisp.html: clisp.xml $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ pile.xsl $<
	$(CHECK_IDS)

clisp.1: clisp.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ man.xsl $<

clisp-link.html: clisp-link.xml $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_CLK) -o $@ pile.xsl $<
	$(CHECK_IDS)

clisp-link.1: clisp-link.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_CLK) -o $@ man.xsl $<

_%.html: %.html
	sed $(SGML_UNCOMMENT) $< > $@

_%.1: %.1
	sed $(ROFF_UNCOMMENT) $< > $@

impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

check: $(IMPNOTES) $(CHECK_DEPS)
	for f in $(IN_FILES); do \
	  xmllint $(XMLS_COMMON) --noout --postvalid --noent $$f; done

impnotes.texi: impnotes.xml $(IMPNOTES)
	time docbook2texi $<

impnotes.html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ pile.xsl $<
#	cp impnotes.html impnotes-saved.html
#	tidy -config tidy.conf -f tidy.err impnotes.html || true
	$(CHECK_IDS)
	(test -n "$(DIST)" && $(CHMOD) impnotes.html impnotes.css && \
	 $(RSYNC) impnotes.html impnotes.css $(DIST)/) || true

man: _clisp.html _clisp.1 _clisp-link.html _clisp-link.1
	(cd ../build && make clisp.html clisp.1 && \
	 $(CHMOD) clisp.1 clisp.html && \
	 test -n "$(DIST)" && $(RSYNC) clisp.1 clisp.html $(DIST)/) || true

impnotes.fo: impnotes.xml $(IMPNOTES) fo.xsl $(XSL_TARGET)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ fo.xsl $<

# http://xmlgraphics.apache.org/fop/
impnotes.pdf: impnotes.fo
	${FOP} $< $@

id-href.map : chunk.tdb
	$(XSLTPROC) $(XMLS_COMMON) -o $@ id-href-map.xsl $<

html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) chunk.xsl pile.xsl clisp.xml $(OLINK) id-href.map
	if [ ! -h $@ ]; then $(RM) -r $@; ln -s ../../sf/www/impnotes $@; fi
	cd $@/ && grep -v -e "^#" .symlinks | sed 's/^/ln -vf /' | sh -
	cp -pv impnotes.css id-href.map $@/
	$(XMLOUT) "olink-chunk.xml" $(DOC_IMP) -o $@/ chunk.xsl $<
	$(XMLOUT) "olink-chunk.xml" $(DOC_MAN) -o $@/clisp.html pile.xsl clisp.xml
	$(XMLOUT) "olink-chunk.xml" $(DOC_CLK) -o $@/clisp-link.html pile.xsl clisp-link.xml
	sed $(SGML_UNCOMMENT) $@/clisp.html > _clisp-1.html
	sed $(SGML_UNCOMMENT) $@/clisp-link.html > _clisp-link-1.html
	cd ../build; make clisp-1.html clisp-link-1.html;
	mv -f ../build/clisp-1.html $@/clisp.html
	mv -f ../build/clisp-link-1.html $@/clisp-link.html
	rm -f _clisp-1.html _clisp-link-1.html
	$(CHECK_IDS)
	cd html; cd ..; $(CURDIR)/../utils/fix-perms.sh
	(test -n "$(DIST)" && $(CHMOD) $@ impnotes.css && \
	 $(RSYNC) $@/*.html $@/id-href.map impnotes.css $(DIST)/impnotes/) \
	|| true

# try to use http://www.graphviz.org/ instead of openoffice for MOP
# class inheritance diagrams
mop-classes.png : mop-classes.dot
	dot -Tpng mop-classes.dot -o mop-classes.png

UPLOAD = impnotes.css clisp.png
up: impnotes.html html impnotes.css
	$(CHMOD) $^ $(UPLOAD)
	$(RSYNC) $^ $(UPLOAD) $(DIST_SFBETA)

regexp.html: ../modules/regexp/regexp.texinfo
	$(TEXI2HTML)

clean: force
	$(RM) impnotes.xml impnotes.texi impnotes.html impnotes.pdf html \
	  clisp.xml clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
	  id-href.map clisp-link.xml clisp-link.html clisp-link.1

count: $(IMPNOTES)
	wc $^

DTD_DOWNLOAD=http://www.docbook.org/xml/$(DTDVER)/docbook-xml-$(DTDVER).zip
docbook-dtd :
	mkdir docbook-dtd && cd docbook-dtd && \
	  wget -O docbook-xml.zip $(DTD_DOWNLOAD) && \
	  unzip docbook-xml.zip && $(RM) docbook-xml.zip

docbook-xsl : force
	$(RSYNC) --port=5873 docbook.xml-doc.org::xsl docbook-xsl
	grep '<fm:Version>' docbook-xsl/VERSION

impnotes-src.zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
		$(IMPNOTES) $(CLISP_XSL) $(CLISP_CSS)
	$(RM) $@
	cd ..; ln -s . clisp; \
	zip -9 doc/$@ $(subst doc/../,, $(addprefix clisp/doc/, $^)); \
	$(RM) clisp
	(test -n "$(DIST)" && $(CHMOD) $@ ../src/NEWS && \
	 $(RSYNC) $@ ../src/NEWS $(DIST)/) || true

SEARCH=
search: force
	@if test -z "$(SEARCH)"; then echo "usage: make search SEARCH=string"; \
	else grep -n -- '$(SEARCH)' $(IMPNOTES) $(addsuffix .in, $(IN_FILES)); fi

force:

=== debian/changelog ===
clisp (1:2.49-9ubuntu1) trusty; urgency=medium

  * Remove positive build-depends for s390x. Fixes ftbfs. LP: #1264891

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 03 Apr 2014 07:41:26 +1100

clisp (1:2.49-9) unstable; urgency=medium

  * Enable FFI on arm*
  * Import patch from Roland Stigge adding support for powerpcspe
    (Closes: #731648)

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 20:21:22 +0100

clisp (1:2.49-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf to architecture lists
  * Build with -marm on armhf  due to thumb incompatible code (specifically 
    code that does not like odd function pointers)
  * apply patch from sourceforce to fix illegal instruction error on newer
    arm hardware caused by arm assembler (thanks to jerry james and tomfor)
    (closes: 684631)
  * Fix build errors with eglibc 2.17 (closes: 701379)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 May 2013 20:39:13 +0000

clisp (1:2.49-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb-dev instead of libdb4.8-dev. Add new patch to
    reflect the fact that Berkeley DB 5.1 no longer supports RPC.
    (Closes: #621377)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 17 Feb 2012 14:23:49 +0100

clisp (1:2.49-8) unstable; urgency=low

  * Replace dependency on libreadline5-dev with libreadline-gplv2-dev to
    follow that sensless rename
  * Import path from Robert Millan to support kfreebsd-amd64 as well
    (Closes: #633454)

 -- Christoph Egger <christoph@debian.org>  Wed, 13 Jul 2011 05:21:23 +0200

clisp (1:2.49-7) unstable; urgency=low

  * Apply a workaround potentially fixing the s390 problem
  * Output some more info in case the above doesn't work

 -- Christoph Egger <christoph@debian.org>  Fri, 08 Apr 2011 23:43:02 +0200

clisp (1:2.49-6) unstable; urgency=low

  * Output config.log from where it exists

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 18:24:29 +0200

clisp (1:2.49-5) unstable; urgency=low

  * Output config log on failed builds to debug s390 build failure

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 16:27:09 +0200

clisp (1:2.49-4) unstable; urgency=low

  * Adapt package to broken new dh-lisp version. Autobuilders should now produce 
    working packages again.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Mar 2011 10:28:01 +0100

clisp (1:2.49-3) unstable; urgency=low

  * Declare a conflict between clisp and clisp-dev to catch overwriting 
    clisp-link. Missed that during testing. (Closes: #614889) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 18 Feb 2011 05:44:09 +0100

clisp (1:2.49-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * Updated debian/README.building with updated information
  * 2.49 also fixes a bug related to store-value. (Closes: #607743) 
  * Go with the flow and convert to use quilt
  * Building for release with branch debian-2.49-2

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Peter Van Eynde ]
  * Move new-clx demos to the documentation

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Feb 2011 20:38:32 +0100

clisp (1:2.49-1) experimental; urgency=low

  * Use libsigsegv 2.8 should fix a few issues. (Closes: 566686)
  * conflict against libreadline6 as it would be illegal to link 
    against that. (Closes: 553741)
  * Use bash for clisp-link (Closes: #530054)
  * New upstream version (Closes: #462742)3
  * Redid debianization from scratch. 
    (Closes: #504514,#177057,#462085, #488042, #462088, #433592, #433596)
  * Dropped conflicts with ancient versions of clisp. 
  * Changed build system on powerpc, the resulting image
    passes all tests, so should Closes: #592768 
  * We got a fix the 'file with wrong *pathname-encoding* in ~/' bug.
    (Closes: #443520)
  * Fix the build on Sparc by disabling FFI and dynamic modules completely. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Sep 2010 07:31:59 +0200

=== debian/control ===
Source: clisp
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>> 7), gettext, bison, libncurses5-dev, groff, libx11-dev, libxext-dev, libxpm-dev, libsigsegv-dev (>= 2.8), libreadline-gplv2-dev, dh-lisp (>= 0.7.1), libdb-dev, libffcall1-dev , libgdbm-dev , libpq-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], libpcre3-dev, libdbus-1-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], zlib1g-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe]
Build-Conflicts: libsigsegv-dev (<= 2.8), libreadline6-dev
Standards-Version: 3.9.1.0
Homepage: http://www.clisp.org/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/clisp.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/clisp.git;a=summary

Package: clisp
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x sparc
Pre-Depends: ${xlibs:PreDepends}
Conflicts: clisp-dev (<< 1:2.49-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: common-lisp-controller (<< 6.19), cl-asdf (<< 2:1.704-1)
Provides: lisp-compiler, ${clisp:fasl-version}
Suggests: gdb, clisp-doc, clisp-dev, slime
Description: GNU CLISP, a Common Lisp implementation
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.
 .
 It is Free Software and may be distributed under the terms of GNU GPL,
 while it is possible to distribute commercial proprietary applications
 compiled with GNU CLISP.
 .
 The user interface comes in English, German, French, Spanish, Dutch,
 Russian and Danish, and can be changed at run time.
 GNU CLISP includes an interpreter, a compiler, a debugger, CLOS, MOP,
 a foreign language interface, sockets, i18n, fast bignums and more.
 An X11 interface is available through CLX, Garnet, CLUE/CLIO.
 GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.

Package: clisp-dev
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x sparc
Depends: clisp, ${misc:Depends}
Description: GNU CLISP, a Common Lisp implementation (development files)
 This is the link kit of clisp, it can be used to add external modules (written
 for example in C) to the implementation. The module can define new
 variables, symbols and functions for use in clisp. Examples include
 database interfaces or widget libraries. Normal users do not need
 this.
 .
 See also http://clisp.cons.org/impnotes.html#modules
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.

Package: clisp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GNU CLISP, a Common Lisp implementation (documentation)
 This is the documentation for clisp.
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.


Package: clisp-module-berkeley-db
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds an interface to Berkeley DB
 This adds a module to clisp that implements an interface to the 
 Berkeley DB.

Package: clisp-module-pcre
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds libpcre support
 This adds a module to clisp that implements an interface to the 
 libpcre which implements Perl-compatible regular expressions. 

Package: clisp-module-bindings-glibc 
Architecture: alpha amd64 armel armhf armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds the glibc bindings
 This adds a module to clisp that implements an interface to the 
 glibc library, adding support for a number of low level functions.

Package: clisp-module-postgresql
Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds a PostgreSQL interface
 This adds a module to clisp that implements an interface to the 
 PostgreSQL DB using the C bindings.

Package: clisp-module-clx	      
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds X11 bindings
 This adds a module to clisp that implements an interface to the 
 X11 called CLX.

Package: clisp-module-rawsock
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds a low level socket interface
 This adds a module to clisp that implements an interface to the 
 socket interfaces.

Package: clisp-module-dbus	      
Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds an interface to D-Bus
 This adds a module to clisp that implements an interface to the 
 D-Bus system.

Package: clisp-module-wildcard
Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds wildcard matching
 This adds a module to clisp that implements a wildcard matching, also
 called shell globbing.

Package: clisp-module-gdbm	      
Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds an interface to GNU DBM
 This adds a module to clisp that implements an interface to
 GNU DBM.

Package: clisp-module-zlib
Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
Description: clisp module that adds zlib support for vectors
 This adds a module to clisp that implements a zlib interface,
 allowing you to compress vectors using zlib.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# check if we need to use DEBUG:
DEBUG_FLAGS:=$(if $(findstring debug,$(DEB_BUILD_OPTIONS)),--with-debug,)

#standard C flags:
CFLAGS:=-falign-functions=4
export CFLAGS

# change the CFLAGS depending on the architecture
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(filter m68k alpha hppa powerpc,$(DEB_BUILD_ARCH)))
	CFLAGS:=-D SAFETY=3 -D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP ${CFLAGS}
endif

ifneq (,$(filter ia64 ,$(DEB_BUILD_ARCH)))
	CFLAGS:=-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP ${CFLAGS}
endif

ifneq (,$(filter sparc ,$(DEB_BUILD_ARCH)))
	 CFLAGS:=-mcpu=v9 -fno-gcse -DSAFETY=3 -D SAFETY=3 -D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP ${CFLAGS}
endif

ifneq (,$(filter armhf ,$(DEB_BUILD_ARCH)))
	 CFLAGS:=-marm ${CFLAGS}
endif

ifneq (,$(filter hppa ia64 m68k s390 mipsel powerpc powerpcspe,$(DEB_BUILD_ARCH)))
        # Disable FFI
        FFI:=--without-dynamic-ffi
        MODULES:=--with-module=gdbm --with-module=berkeley-db --with-module=pcre --with-module=rawsock --with-module=clx/new-clx
else ifneq (,$(filter sparc ,$(DEB_BUILD_ARCH)))
        # Disable FFI and the dynamic modules
        # this will only build a base and full package:
        FFI:=--without-dynamic-ffi --without-dynamic-modules
	MODULES:=--with-module=gdbm --with-module=berkeley-db --with-module=pcre --with-module=rawsock --with-module=clx/new-clx
else
        # Enable FFI on all other platforms
        FFI:=--with-dynamic-ffi --with-dynamic-modules
        MODULES:=--with-module=bindings/glibc --with-module=gdbm --with-module=berkeley-db --with-module=postgresql --with-module=pcre --with-module=wildcard --with-module=zlib --with-module=rawsock --with-module=dbus --with-module=clx/new-clx
endif

configure: configure-stamp
configure-stamp:
	echo we have no configure step
	touch configure-stamp

build: build-stamp
build-stamp: 
	dh_testdir

	# on systems without FFI we cannot make multiple packages
	./configure debian/build ${DEBUG_FLAGS} --prefix=/usr --fsstnd=debian ${FFI} CFLAGS="${CFLAGS}" ${MODULES} || { cat debian/build/config.log; touch foo.h; cpp -dM foo.h ; exit 1; }

	# remove the -O2 from the makefile
ifneq (,$(filter sparc mipsel ia64 ,$(DEB_BUILD_ARCH)))
	sed 's/ -O2 / /' < debian/build/Makefile > debian/build/Makefile-new && \
		mv debian/build/Makefile debian/build/Makefile-old && \
		mv debian/build/Makefile-new debian/build/Makefile
endif # filter mipsel ia64 ,$(DEB_BUILD_ARCH) remove the -O2 from the makefile

	# build the package
	$(MAKE) -C debian/build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf debian/build 

	chmod a+x configure 
	dh_clean

install: build
	# echo doing install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A

	# install the package

	$(MAKE) -C debian/build DESTDIR=$(shell pwd)/debian/tmp install
	mkdir -p debian/tmp/usr/share/doc debian/tmp/usr/share/man debian/tmp/usr/lib/common-lisp debian/tmp/usr/sbin debian/tmp/usr/bin 

	# remove unwanted upstream doc/ files
	rm debian/tmp/usr/share/doc/clisp/doc/clisp.1 \
		debian/tmp/usr/share/doc/clisp/doc/clisp-link.1 \
		debian/tmp/usr/share/doc/clisp/COPYRIGHT \
		debian/tmp/usr/share/doc/clisp/GNU-GPL || true

	# Install CLC files
	install -o root -g root -m 0644 debian/install-clc.lisp \
		debian/tmp/usr/lib/clisp-2.49

	dh_install --sourcedir=debian/tmp
	# remove docs  from the clx package:
	if [ -d debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ] ; then rm -rf debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ; fi 
	# handle full image if  it exists, normally we do not build it
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.a debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.h debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/makevars debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/lispinit.mem debian/clisp/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0755  debian/tmp/usr/lib/clisp-2.49/full/lisp.run debian/clisp/usr/lib/clisp-2.49/full/ ; fi
	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.o debian/clisp/usr/lib/clisp-2.49/full/ ; fi


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir  -i
	dh_testroot  -i
	dh_installdocs  -i
	dh_installexamples  -i
	dh_installchangelogs -a -i src/ChangeLog -i
	dh_strip  -i
	dh_link  -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums  -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir  -a
	dh_testroot  -a
	dh_installdocs  -a
	dh_installexamples  -a
	dh_installman  -a
	dh_installchangelogs -a -i src/ChangeLog -a
	dh_lisp clisp -a
	dh_strip  -a
	dh_link  -a
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a

#	add FAS file format version to substvars
	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.49 -M debian/clisp/usr/lib/clisp-2.49/base/lispinit.mem debian/fasl-version.lisp

	dh_gencontrol -a
	dh_md5sums  -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## clisp 2.49.60+

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # CLISP Implementation Notes generation
-# (c) 2000-2009 Sam Steingold
+# (c) 2000-2011 Sam Steingold
 
 # To generate HTML, you will need xsltproc & xmllint from the libxml2
 # (http://xmlsoft.org/) package in addition to the DocBook DTDs and XSL
@@ -14,6 +14,7 @@
 IMPNOTES=cl-ent.xml clhs-ent.xml impbody.xml impent.xml mop.xml gray.xml     \
 	impext.xml impissue.xml impbyte.xml unix-ent.xml mop-ent.xml faq.xml \
 	history.xml \
+	../modules/asdf/asdf.xml	        \
 	../modules/berkeley-db/berkeley-db.xml	\
 	../modules/berkeley-db/ent-bdb.xml	\
 	../modules/dbus/dbus.xml		\
@@ -33,7 +34,6 @@
 	../modules/readline/readline.xml	\
 	../modules/regexp/regexp.xml		\
 	../modules/syscalls/syscalls.xml	\
-	../modules/wildcard/wildcard.xml	\
 	../modules/zlib/zlib.xml
 # all used stylesheets
 CLISP_XSL = chunk.xsl common.xsl fo.xsl id-href-map.xsl man.xsl pile.xsl
@@ -96,12 +96,11 @@
 
 # chose one:
 #TEXI2HTML=texi2html -monolithic -verbose $< -out_file $@
-TEXI2HTML=makeinfo --verbose --no-split --no-headers --html $< -o $@
+TEXI2HTML=makeinfo --verbose --no-split --no-headers --force --html $< -o $@
 
 # NB: keep in sync with src/makemake.in:MYIMPROOT
-DIST_PODVAL = podval:~/public_html/clisp
 DIST_SFBETA = sds,clisp@web.sf.net:/home/groups/c/cl/clisp/htdocs/beta
-DIST = ${DIST_PODVAL}
+DIST =
 RSYNC = rsync -avC --copy-unsafe-links
 CHMOD = chmod -R a+rX
 
@@ -132,6 +131,8 @@
 
 ifneq (,$(CATALOG_FILE))
 # depends on Makefile because of $(XSL_PATH)
+# gnu license xml files specify a bad dtd file
+GNU_DTD = http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd
 $(CATALOG_FILE): Makefile
 	$(RM) $(CATALOG_FILE)
 	$(XMLCATALOG) --create > $(CATALOG_FILE)
@@ -139,6 +140,8 @@
 		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
 	$(XMLCATALOG) --noout --add "rewriteSystem" \
 		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
+	$(XMLCATALOG) --noout --add "rewriteURI" \
+		$(GNU_DTD) $(DTD_PATH) $(CATALOG_FILE)
 XSLTPROC=XML_CATALOG_FILES="$(CATALOG_FILE) ${XML_CATALOG_FILES}" xsltproc
 else
 XSLTPROC=xsltproc
@@ -146,7 +149,12 @@
 XMLS_COMMON = --timing --xinclude
 GOOGLEADS=0
 
+# target.database.document in this command is a workaround for bug
+#   warning: failed to load external entity \"olinkdb.xml\"
+#   Olink error: could not open target database \'olinkdb.xml\'.
+# https://sourceforge.net/p/docbook/bugs/1111/
 MAKE_TDB=$(XSLTPROC) $(XMLS_COMMON) --stringparam collect.xref.targets "only" \
+  --stringparam target.database.document "olink-pile.xml" \
 	--stringparam targets.filename
 
 man.tdb: clisp.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
@@ -161,6 +169,7 @@
 chunk.tdb: impnotes.xml $(IMPNOTES) chunk.xsl $(GEN_DEPS) $(CATALOG_FILE)
 	$(MAKE_TDB) "$@" chunk.xsl $<
 
+ifneq (,$(wildcard ../version.sh))
 clisp.xml: clisp.xml.in ../version.sh Makefile
 	$(RM) $@
 	$(FILLIN) $< > $@
@@ -168,6 +177,11 @@
 clisp-link.xml: clisp-link.xml.in ../version.sh Makefile
 	$(RM) $@
 	$(FILLIN) $< > $@
+
+impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
+	$(RM) $@
+	$(FILLIN) $< > $@
+endif
 
 XMLOUT=$(XSLTPROC) $(XMLS_COMMON) --param google.ads $(GOOGLEADS) \
 	--stringparam target.database.document
@@ -196,10 +210,6 @@
 
 _%.1: %.1
 	sed $(ROFF_UNCOMMENT) $< > $@
-
-impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
-	$(RM) $@
-	$(FILLIN) $< > $@
 
 check: $(IMPNOTES) $(CHECK_DEPS)
 	for f in $(IN_FILES); do \
@@ -232,7 +242,10 @@
 	$(XSLTPROC) $(XMLS_COMMON) -o $@ id-href-map.xsl $<
 
 html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) chunk.xsl pile.xsl clisp.xml $(OLINK) id-href.map
-	if [ ! -h $@ ]; then $(RM) -r $@; ln -s ../../sf/www/impnotes $@; fi
+	if [ ! -h $@ ]; then $(RM) -r $@; \
+	  if [ -d ../../sf/www/impnotes ]; then ln -s ../../sf/www/impnotes $@; \
+	  elif [ -d ../../www/impnotes ]; then ln -s ../../www/impnotes $@; \
+	  else echo 'no sf/www dir'; false; fi; fi
 	cd $@/ && grep -v -e "^#" .symlinks | sed 's/^/ln -vf /' | sh -
 	cp -pv impnotes.css id-href.map $@/
 	$(XMLOUT) "olink-chunk.xml" $(DOC_IMP) -o $@/ chunk.xsl $<
@@ -264,9 +277,12 @@
 	$(TEXI2HTML)
 
 clean: force
-	$(RM) impnotes.xml impnotes.texi impnotes.html impnotes.pdf html \
-	  clisp.xml clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
-	  id-href.map clisp-link.xml clisp-link.html clisp-link.1
+	$(RM) impnotes.texi impnotes.html impnotes.pdf html \
+	  clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
+	  id-href.map clisp-link.html clisp-link.1
+	test -f impnotes.xml.in && $(RM) impnotes.xml
+	test -f clisp.xml.in && $(RM) clisp.xml
+	test -f clisp-link.xml.in && $(RM) clisp-link.xml
 
 count: $(IMPNOTES)
 	wc $^
@@ -281,12 +297,13 @@
 	$(RSYNC) --port=5873 docbook.xml-doc.org::xsl docbook-xsl
 	grep '<fm:Version>' docbook-xsl/VERSION
 
-impnotes-src.zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
+IMPNOTES_SRC = impnotes-src
+$(IMPNOTES_SRC).zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
 		$(IMPNOTES) $(CLISP_XSL) $(CLISP_CSS)
-	$(RM) $@
-	cd ..; ln -s . clisp; \
-	zip -9 doc/$@ $(subst doc/../,, $(addprefix clisp/doc/, $^)); \
-	$(RM) clisp
+	$(RM) -r $@ $(IMPNOTES_SRC)
+	mkdir $(IMPNOTES_SRC);
+	for f in $^; do sed 's,\.\./modules/[^/]*/,,' $$f > $(IMPNOTES_SRC)/`basename $$f`; done
+	zip -9mvr $@ $(IMPNOTES_SRC)
 	(test -n "$(DIST)" && $(CHMOD) $@ ../src/NEWS && \
 	 $(RSYNC) $@ ../src/NEWS $(DIST)/) || true

=== debian/changelog ===
clisp (1:2.49.60+-1) unstable; urgency=medium

  * New upstream snapshot release.
    - fixes the -perm problem (Closes: #724767)
  * Imported the changes from experimental:
    * Import patch from Flavio Cruz for hurd, thanks! (Closes: #801260)
    * Remove all patches (apart from hurd/webbugs) for now. Will re-add as
      needed
    * Drop wildcard package; dropped upstream 
  * Use the new libsigsegv to build. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 09:47:30 +0200

clisp (1:2.49-10) unstable; urgency=medium

  * Treat s390x the same way s390 is treated (Closes: #733445)
  * wrap build-depends
  * Remove webbugs as found by lintian
  * Bump standard version

 -- Christoph Egger <christoph@debian.org>  Thu, 05 Jun 2014 13:32:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,37 @@
 Source: clisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>> 7), gettext, bison, libncurses5-dev, groff, libx11-dev, libxext-dev, libxpm-dev, libsigsegv-dev (>= 2.8), libreadline-gplv2-dev, dh-lisp (>= 0.7.1), libdb-dev, libffcall1-dev , libgdbm-dev , libpq-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], libpcre3-dev, libdbus-1-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], zlib1g-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe]
+Build-Depends:
+ debhelper (>> 10),
+ gettext,
+ bison,
+ libncurses5-dev,
+ groff,
+ libx11-dev,
+ libxext-dev,
+ libxpm-dev,
+ libsigsegv-dev (>= 2.11),
+ libreadline-gplv2-dev,
+ dh-lisp (>= 0.7.1),
+ libdb-dev,
+ libffcall1-dev,
+ libgdbm-dev,
+ libpq-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe],
+ libpcre3-dev,
+ libdbus-1-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe],
+ zlib1g-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe]
 Build-Conflicts: libsigsegv-dev (<= 2.8), libreadline6-dev
-Standards-Version: 3.9.1.0
+Standards-Version: 4.0.0
 Homepage: http://www.clisp.org/
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/clisp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/clisp.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/clisp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/clisp.git/
 
 Package: clisp
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x sparc
 Pre-Depends: ${xlibs:PreDepends}
-Conflicts: clisp-dev (<< 1:2.49-2)
+Conflicts: clisp-dev (<< 1:2.49.60-1)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: common-lisp-controller (<< 6.19), cl-asdf (<< 2:1.704-1)
 Provides: lisp-compiler, ${clisp:fasl-version}
@@ -82,59 +99,52 @@
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to Berkeley DB
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  Berkeley DB.
 
 Package: clisp-module-pcre
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds libpcre support
- This adds a module to clisp that implements an interface to the 
- libpcre which implements Perl-compatible regular expressions. 
+ This adds a module to clisp that implements an interface to the
+ libpcre which implements Perl-compatible regular expressions.
 
-Package: clisp-module-bindings-glibc 
-Architecture: alpha amd64 armel armhf armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Package: clisp-module-bindings-glibc
+Architecture: alpha amd64 armel armhf armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds the glibc bindings
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  glibc library, adding support for a number of low level functions.
 
 Package: clisp-module-postgresql
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds a PostgreSQL interface
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  PostgreSQL DB using the C bindings.
 
-Package: clisp-module-clx	      
+Package: clisp-module-clx
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds X11 bindings
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  X11 called CLX.
 
 Package: clisp-module-rawsock
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds a low level socket interface
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  socket interfaces.
 
-Package: clisp-module-dbus	      
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Package: clisp-module-dbus
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to D-Bus
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  D-Bus system.
 
-Package: clisp-module-wildcard
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
-Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
-Description: clisp module that adds wildcard matching
- This adds a module to clisp that implements a wildcard matching, also
- called shell globbing.
-
-Package: clisp-module-gdbm	      
+Package: clisp-module-gdbm
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to GNU DBM
@@ -142,7 +152,7 @@
  GNU DBM.
 
 Package: clisp-module-zlib
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds zlib support for vectors
  This adds a module to clisp that implements a zlib interface,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	 CFLAGS:=-marm ${CFLAGS}
 endif
 
-ifneq (,$(filter hppa ia64 m68k s390 mipsel powerpc powerpcspe,$(DEB_BUILD_ARCH)))
+ifneq (,$(filter hppa ia64 m68k s390 s390x mipsel powerpc powerpcspe,$(DEB_BUILD_ARCH)))
         # Disable FFI
         FFI:=--without-dynamic-ffi
         MODULES:=--with-module=gdbm --with-module=berkeley-db --with-module=pcre --with-module=rawsock --with-module=clx/new-clx
@@ -41,7 +41,7 @@
 else
         # Enable FFI on all other platforms
         FFI:=--with-dynamic-ffi --with-dynamic-modules
-        MODULES:=--with-module=bindings/glibc --with-module=gdbm --with-module=berkeley-db --with-module=postgresql --with-module=pcre --with-module=wildcard --with-module=zlib --with-module=rawsock --with-module=dbus --with-module=clx/new-clx
+        MODULES:=--with-module=bindings/glibc --with-module=gdbm --with-module=berkeley-db --with-module=postgresql --with-module=pcre --with-module=zlib --with-module=rawsock --with-module=dbus --with-module=clx/new-clx
 endif
 
 configure: configure-stamp
@@ -88,7 +88,7 @@
 	# install the package
 
 	$(MAKE) -C debian/build DESTDIR=$(shell pwd)/debian/tmp install
-	mkdir -p debian/tmp/usr/share/doc debian/tmp/usr/share/man debian/tmp/usr/lib/common-lisp debian/tmp/usr/sbin debian/tmp/usr/bin 
+	mkdir -p debian/tmp/usr/share/doc debian/tmp/usr/share/man debian/tmp/usr/sbin debian/tmp/usr/bin 
 
 	# remove unwanted upstream doc/ files
 	rm debian/tmp/usr/share/doc/clisp/doc/clisp.1 \
@@ -98,21 +98,24 @@
 
 	# Install CLC files
 	install -o root -g root -m 0644 debian/install-clc.lisp \
-		debian/tmp/usr/lib/clisp-2.49
+		debian/tmp/usr/lib/clisp-2.49.60+
 
 	dh_install --sourcedir=debian/tmp
 	# remove docs  from the clx package:
-	if [ -d debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ] ; then rm -rf debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ; fi 
+	if [ -d debian/clisp-module-clx/usr/lib/clisp-2.49.60+/clx/new-clx/demos ] ; then rm -rf debian/clisp-module-clx/usr/lib/clisp-2.49.60+/clx/new-clx/demos ; fi 
 	# handle full image if  it exists, normally we do not build it
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.a debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.h debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/makevars debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/lispinit.mem debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0755  debian/tmp/usr/lib/clisp-2.49/full/lisp.run debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.o debian/clisp/usr/lib/clisp-2.49/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then mkdir -p debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then mkdir -p debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.a debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.h debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/makevars debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/lispinit.mem debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0755  debian/tmp/usr/lib/clisp-2.49.60+/full/lisp.run debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.o debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
 
+
+build-arch: build
+build-indep: build
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -148,7 +151,7 @@
 	dh_shlibdeps -a
 
 #	add FAS file format version to substvars
-	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.49 -M debian/clisp/usr/lib/clisp-2.49/base/lispinit.mem debian/fasl-version.lisp
+	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.49.60+ -M debian/clisp/usr/lib/clisp-2.49.60+/base/lispinit.mem debian/fasl-version.lisp
 
 	dh_gencontrol -a
 	dh_md5sums  -a
